4 4

[alpine-aports] [PATCH 1/2] main/dhcpcd: use /usr/lib as libexec directory

Sören Tempel
Details
Message ID
<1441897362-3425-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1441897361
DKIM signature
missing
Download raw message
Patch: +13 -10
dhcpcd-dbus uses this directory too.
---
 main/dhcpcd/APKBUILD | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

diff --git a/main/dhcpcd/APKBUILD b/main/dhcpcd/APKBUILD
index 53ef262..5336d88 100644
--- a/main/dhcpcd/APKBUILD
+++ b/main/dhcpcd/APKBUILD
@@ -1,15 +1,17 @@
-# Contributor: Michael Mason <ms13sp@gmail.com> 
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=dhcpcd
 pkgver=6.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="RFC2131 compliant DHCP client"
 url="http://roy.marples.name/projects/dhcpcd/"
 arch="all"
 license="BSD-2"
-depends=
-makedepends="linux-headers"
-install=
+depends=""
+depends_dev="linux-headers dbus-dev"
+makedepends="$depends_dev"
+install=""
 subpackages="$pkgname-doc"
 source="http://roy.marples.name/downloads/dhcpcd/$pkgname-$pkgver.tar.bz2
 	busybox-logger.patch
@@ -30,16 +32,17 @@ build() {
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
-		--libexecdir=/lib/dhcpcd \
-		--dbdir=/var/lib/dhcpcd \
+		--libexecdir=/usr/lib/$pkgname \
+		--dbdir=/var/lib/$pkgname \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
 	cd "$srcdir"/$pkgname-$pkgver
-	make DESTDIR="$pkgdir" install
-	install -Dm755 "$srcdir"/dhcpcd.initd "$pkgdir"/etc/init.d/dhcpcd
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm755 "$srcdir"/dhcpcd.initd \
+		"$pkgdir"/etc/init.d/dhcpcd || return 1
 }
 
 md5sums="374fcac1877078a2fc0ef8cd1617a869  dhcpcd-6.9.0.tar.bz2
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH 2/2] main/dhcpcd-dbus: use depends_dev

Isaac Dunham
Details
Message ID
<20150910175903.GB2004@newbook>
In-Reply-To
<1441897362-3425-2-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1441907944
DKIM signature
missing
Download raw message
On Thu, Sep 10, 2015 at 05:02:42PM +0200, Sören Tempel wrote:
> -makedepends="dbus-dev"
> +depends_dev="dbus-dev"
> +makedepends="$makedepends"

I had been under the impression that depends_dev was for packages that
should be dependencies of the -dev suppackage.

Thanks,
Isaac


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] main/dhcpcd-dbus: use depends_dev

Sören Tempel
Details
Message ID
<1441897362-3425-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1441897362-3425-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1441897362
DKIM signature
missing
Download raw message
Patch: +4 -3
---
 main/dhcpcd-dbus/APKBUILD | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/main/dhcpcd-dbus/APKBUILD b/main/dhcpcd-dbus/APKBUILD
index da90f90..5e235f3 100644
--- a/main/dhcpcd-dbus/APKBUILD
+++ b/main/dhcpcd-dbus/APKBUILD
@@ -7,7 +7,8 @@ url="http://roy.marples.name/projects/dhcpcd-dbus"
 arch="all"
 license="BSD"
 depends=""
-makedepends="dbus-dev"
+depends_dev="dbus-dev"
+makedepends="$makedepends"
 install=
 subpackages=
 source="http://roy.marples.name/downloads/dhcpcd/dhcpcd-dbus-$pkgver.tar.bz2
@@ -33,12 +34,12 @@ build() {
 		--sysconfdir=/etc \
 		--libexecdir=/usr/lib/$pkgname \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 }
 
 md5sums="4fd43b0f0ca7c0e65f95a0b2846b37b7  dhcpcd-dbus-0.6.0.tar.bz2
-- 
2.5.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH 2/2] main/dhcpcd-dbus: use depends_dev

Eivind Uggedal
Details
Message ID
<CAM-O=1AMX==jhoeC=ORoHghhyFd5NPM-eiu_uatbVVSO=0XjiQ@mail.gmail.com>
In-Reply-To
<20150910175903.GB2004@newbook> (view parent)
Sender timestamp
1441922635
DKIM signature
missing
Download raw message
On Sep 10, 2015 19:59, "Isaac Dunham" <ibid.ag@gmail.com> wrote:
>
> On Thu, Sep 10, 2015 at 05:02:42PM +0200, Sören Tempel wrote:
> > -makedepends="dbus-dev"
> > +depends_dev="dbus-dev"
> > +makedepends="$makedepends"
>
> I had been under the impression that depends_dev was for packages that
> should be dependencies of the -dev suppackage.
>

You are correct. Since there is no -dev package this does not make sense.
In addition there is a typo in the patch which should make the package
unbuildable.

Eivind

Re: [alpine-aports] [PATCH 2/2] main/dhcpcd-dbus: use depends_dev

Natanael Copa
Details
Message ID
<20150915102519.7d9534e5@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1441897362-3425-2-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1442305519
DKIM signature
missing
Download raw message
On Thu, 10 Sep 2015 17:02:42 +0200
Sören Tempel <soeren+git@soeren-tempel.net> wrote:

> ---
>  main/dhcpcd-dbus/APKBUILD | 7 ++++---
>  1 file changed, 4 insertions(+), 3 deletions(-)
> 
> diff --git a/main/dhcpcd-dbus/APKBUILD b/main/dhcpcd-dbus/APKBUILD
> index da90f90..5e235f3 100644
> --- a/main/dhcpcd-dbus/APKBUILD
> +++ b/main/dhcpcd-dbus/APKBUILD
> @@ -7,7 +7,8 @@ url="http://roy.marples.name/projects/dhcpcd-dbus"
>  arch="all"
>  license="BSD"
>  depends=""
> -makedepends="dbus-dev"
> +depends_dev="dbus-dev"
> +makedepends="$makedepends"

NACK.

as Dunham and Uggedal explained, the depends_dev will only set the
dependency for -dev subpackage. It makes no sense to use depends_dev if
there are no -dev subpackage.

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---